
// AvrHexEeprom.cpp: Definiert das Klassenverhalten fr die Anwendung.
//

#include "stdafx.h"
#include "afxwinappex.h"
#include "AvrHexEeprom.h"
#include "MainFrm.h"

#include "ChildFrm.h"
// #include "IpFrame.h"
#include "AvrHexEepromDoc.h"
#include "AvrHexEepromView.h"

#include "HyperLink.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAvrHexEepromApp

BEGIN_MESSAGE_MAP(CAvrHexEepromApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, &CAvrHexEepromApp::OnAppAbout)
	// Dateibasierte Standarddokumentbefehle
	ON_COMMAND(ID_FILE_NEW, &CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, &CWinApp::OnFileOpen)
END_MESSAGE_MAP()


// CAvrHexEepromApp-Erstellung

CAvrHexEepromApp::CAvrHexEepromApp()
{
	EnableHtmlHelp();


	// TODO: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance positionieren
}

// Das einzige CAvrHexEepromApp-Objekt

CAvrHexEepromApp theApp;
// Diese ID wurde als statistisch eindeutig fr Ihre Anwendung generiert.
// Sie knnen sie ndern, wenn Sie eine bestimmte ID bevorzugen.

// {D6B30054-69AB-441E-809B-222BE76B57C3}
static const CLSID clsid =
{ 0xD6B30054, 0x69AB, 0x441E, { 0x80, 0x9B, 0x22, 0x2B, 0xE7, 0x6B, 0x57, 0xC3 } };


// CAvrHexEepromApp-Initialisierung

BOOL CAvrHexEepromApp::InitInstance()
{
	// InitCommonControlsEx() ist fr Windows XP erforderlich, wenn ein Anwendungsmanifest
	// die Verwendung von ComCtl32.dll Version 6 oder hher zum Aktivieren
	// von visuellen Stilen angibt. Ansonsten treten beim Erstellen von Fenstern Fehler auf.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// Legen Sie dies fest, um alle allgemeinen Steuerelementklassen einzubeziehen,
	// die Sie in Ihrer Anwendung verwenden mchten.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();

	// OLE-Bibliotheken initialisieren
// 	if (!AfxOleInit())
// 	{
// 		AfxMessageBox(IDP_OLE_INIT_FAILED);
// 		return FALSE;
// 	}
	AfxEnableControlContainer();
	// Standardinitialisierung
	// Wenn Sie diese Features nicht verwenden und die Gre
	// der ausfhrbaren Datei verringern mchten, entfernen Sie
	// die nicht erforderlichen Initialisierungsroutinen.
	// ndern Sie den Registrierungsschlssel, unter dem Ihre Einstellungen gespeichert sind.
	// TODO: ndern Sie diese Zeichenfolge entsprechend,
	// z.B. zum Namen Ihrer Firma oder Organisation.
	SetRegistryKey(_T("AvrHexEepromApp"));
	LoadStdProfileSettings(16);  // Standard INI-Dateioptionen laden (einschlielich MRU)

	// Dokumentvorlagen der Anwendung registrieren. Dokumentvorlagen
	//  dienen als Verbindung zwischen Dokumenten, Rahmenfenstern und Ansichten.
	CMultiDocTemplate* pDocTemplate;
	pDocTemplate = new CMultiDocTemplate(IDR_AvrHexEepromTYPE,
		RUNTIME_CLASS(CAvrHexEepromDoc),
		RUNTIME_CLASS(CChildFrame), // Benutzerspezifischer MDI-Child-Rahmen
		RUNTIME_CLASS(CAvrHexEepromView));
	if (!pDocTemplate)
		return FALSE;
// 	pDocTemplate->SetServerInfo(
// 		IDR_AvrHexEepromTYPE_SRVR_EMB, IDR_AvrHexEepromTYPE_SRVR_IP,
// 		RUNTIME_CLASS(CInPlaceFrame));
	AddDocTemplate(pDocTemplate);
	// Verbinden des COleTemplateServer mit der Dokumentvorlage.
	//  Der COleTemplateServer legt auf Basis der Informationen in der
	//  Dokumentvorlage bei der Anforderung von OLE-Containern
	//  neue Dokumente an.
// 	m_server.ConnectTemplate(clsid, pDocTemplate, FALSE);
	// Alle OLE-Serverfactorys als aktiv registrieren. Dies aktiviert die
	//  OLE-Bibliotheken, um Objekte von anderen Anwendungen zu erstellen.
	COleTemplateServer::RegisterAll();
		// Hinweis: MDI-Anwendungen registrieren alle Serverobjekte, ohne Rcksicht
		//  auf die Parameter /Embedding oder /Automation in der Befehlszeile.

	// Haupt-MDI-Rahmenfenster erstellen
	CMainFrame* pMainFrame = new CMainFrame;
	if (!pMainFrame || !pMainFrame->LoadFrame(IDR_MAINFRAME))
	{
		delete pMainFrame;
		return FALSE;
	}
	m_pMainWnd = pMainFrame;
	// Rufen Sie DragAcceptFiles nur auf, wenn eine Suffix vorhanden ist.
	//  In einer MDI-Anwendung ist dies unmittelbar nach dem Festlegen von m_pMainWnd erforderlich
	// ffnen mit Drag  Drop aktivieren
	m_pMainWnd->DragAcceptFiles();

	// DDE-Execute-Open aktivieren
	EnableShellOpen();
	RegisterShellFileTypes(TRUE);

	// Befehlszeile auf Standardumgebungsbefehle berprfen, DDE, Datei ffnen
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	// Anwendung wurde mit /Embedding oder /Automation gestartet.
	// Fhren Sie die Anwendung als Automatisierungsserver aus.
	if (cmdInfo.m_bRunEmbedded || cmdInfo.m_bRunAutomated)
	{
		// Das Hauptfenster nicht anzeigen
		return TRUE;
	}
	// Anwendung wurde mit /Unregserver oder /Unregister gestartet. Heben Sie die
	// Registrierung der Typenbibliothek auf. Weitere Aufhebung in ProcessShellCommand().
// 	else if (cmdInfo.m_nShellCommand == CCommandLineInfo::AppUnregister)
// 	{
// 		UnregisterShellFileTypes();
// 		m_server.UpdateRegistry(OAT_INPLACE_SERVER, NULL, NULL, FALSE);
// 	}
// 	// Anwendung wurde als Standalone oder mit anderen Optionen gestartet (z.B. /Register
// 	// oder /Regserver). Aktualisieren Sie die Registrierungseintrge, einschl. der Typenbibliothek.
// 	else
// 	{
// 		m_server.UpdateRegistry(OAT_INPLACE_SERVER);
// 	}

	// Verteilung der in der Befehlszeile angegebenen Befehle. Gibt FALSE zurck, wenn
	// die Anwendung mit /RegServer, /Register, /Unregserver oder /Unregister gestartet wurde.
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;
	// Das Hauptfenster ist initialisiert und kann jetzt angezeigt und aktualisiert werden.
	pMainFrame->ShowWindow(m_nCmdShow);
	pMainFrame->UpdateWindow();

	return TRUE;
}



// CAboutDlg-Dialogfeld fr Anwendungsbefehl "Info"

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialogfelddaten
	enum { IDD = IDD_ABOUTBOX };
   CHyperLink m_MailLink;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung

// Implementierung
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
   m_MailLink.SetURL(_T("mailto:schiko@schikos.de"));
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);

   DDX_Control(pDX, IDC_MAIL_TO_SCHIKO  , m_MailLink );
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

// Anwendungsbefehl zum Ausfhren des Dialogfelds
void CAvrHexEepromApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

// CAvrHexEepromApp-Meldungshandler



