
// AvrHexEepromView.h: Schnittstelle der Klasse CAvrHexEepromView
//


#pragma once

#include "VarZeile.h"

class CAvrHexEepromView : public CFormView
{
protected: // Nur aus Serialisierung erstellen
	CAvrHexEepromView();
	DECLARE_DYNCREATE(CAvrHexEepromView)

public:
	enum{ IDD = IDD_AVRHEXEEPROM_FORM };

// Attribute
public:
	CAvrHexEepromDoc* GetDocument() const;

// Vorgnge
public:

   CFont  m_font;
   static const int ZEILEN = 32;
   CVarZeile m_arZeilen[ZEILEN];
   DWORD     m_dwStartZeile    ;
   BOOL      m_bLockRekursive  ;


// berschreibungen
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	virtual void OnInitialUpdate(); // Erster Aufruf nach Erstellung

// Implementierung
public:
	virtual ~CAvrHexEepromView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

   std::vector<CStatic*> m_arTopics;

// Generierte Funktionen fr die Meldungstabellen
protected:
//	afx_msg void OnCancelEditSrvr();
	DECLARE_MESSAGE_MAP()
   virtual void OnUpdate(CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/);
   void OnBnClickedRange(UINT nID);
   void OnEnChangeRange(UINT nID);
public:
   afx_msg void OnSize(UINT nType, int cx, int cy);
   afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
   void IncStartZeile( int nPlusZeilen);
   void UpdateControls();
   void UpdateControlAddAndPointer();
   void OnEnChangeSize(UINT nID);
   void OnEnChangeStartAdd(UINT nID);
   void OnUpdateDataTrueFalse( UINT nID );
   void EnableDisableControls();
   void UpdateIntelHex();
};

#ifndef _DEBUG  // Debugversion in AvrHexEepromView.cpp
inline CAvrHexEepromDoc* CAvrHexEepromView::GetDocument() const
   { return reinterpret_cast<CAvrHexEepromDoc*>(m_pDocument); }
#endif

